Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.util.regexp
Class RegexpMatcherFactory

    java.lang.Object
      |
      +--org.apache.tools.ant.util.regexp.RegexpMatcherFactory

Direct Known Subclasses:
  RegexpFactory

public class RegexpMatcherFactory
extends java.lang.Object

Simple Factory Class that produces an implementation of RegexpMatcher based on the system property `ant.regexp.matcherimpl` and the classes available.

In a more general framework this class would be abstract and have a static newInstance method.

Constructor Summary
`RegexpMatcherFactory()`

Method Summary
`protected RegexpMatcher` | `createInstance(java.lang.String className)`
`RegexpMatcher` | `newRegexpMatcher()` Create a new regular expression instance.
`RegexpMatcher` | `newRegexpMatcher(Project p)` Create a new regular expression instance.
`protected void` | `testAvailability(java.lang.String className)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RegexpMatcherFactory

    public RegexpMatcherFactory()

Method Detail

### newRegexpMatcher

    public RegexpMatcher newRegexpMatcher()
                                   throws BuildException

  Create a new regular expression instance.

    `BuildException`

### newRegexpMatcher

    public RegexpMatcher newRegexpMatcher(Project p)
                                   throws BuildException

  Create a new regular expression instance.

  Parameters:
    `p` - Project whose ant.regexp.regexpimpl property will be used.
    `BuildException`

### createInstance

    protected RegexpMatcher createInstance(java.lang.String className)
                                    throws BuildException

    `BuildException`

### testAvailability

    protected void testAvailability(java.lang.String className)
                             throws BuildException

    `BuildException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2004 Apache Software Foundation. All Rights Reserved.